Intégration ZwaveJs incompatible en 1.9.1

Bonjour,

Depuis la mise a jour du core de Hass, en version core-2021.11.1, je ne peux plus faire fonctionner mes volets roulants qui communique avec le protocole ZWave.
Ils sont toujours reconnus dans Hass.

J’ai le message suivant sur l’intégration Zwave JS
Réessayer la configuration: Z-Wave JS Server version is incompatible: 1.9.1 a version is required that supports at least api schema 10

Dans supervisor, j’ai :

  • Z-wave JS 0.1.47
  • Z-Wave JS to MQTT 0.23.2

Avez-vous une idée pour corriger ce problème ?
Merci :slight_smile:

Salut,

Voilà les dernières versions:

  • Z-wave JS : 1.10.7
  • Z-Wave JS to MQTT : 0.28.0

Donc tu as des mises à jour en perspective et comme 1.10.7 c’est > 1.9.1 ça devrait aider

Merci.

Hass ne propose pas la maj depuis supervisor pour les deux « outils ».
Il faut désinstaller et refaire une installation manuelles ?
Je n’ai pas trop envie de devoir refaire un appairage manuel des volets. Les boitiers Fibaro étant au fond des boites d’encastrement dans les murs.

Tant qu’on y est, ton superviseur est à jour ?
En principe, ça doit te le proposer… Superviseur => Système

C’est le meilleur moyen de devoir faire ce que tu ne veux justement pas faire : tout réappairer

Oui je suis a jour pour supervisor.
Pas encore pour le core, il me manque un fix.

Donc au final comment faire ? Désinstaller les add-ons, les réinstaller depuis Hass et refaire tous les appairages ?
Je suis "étonné.

Non, ici on est pas sous windows :wink:

J’ai pas HASSIO mais l’idée c’est probablement de :

  • chercher dans les logs si tu n’as pas une erreur qui bloque la détection des mises à jour (ça doit faire un moment que ça traine)
  • chercher la commande HA qui permet le refresh ou au moins aller vérifier les mises à jour

Et au passage, tu as pas une petite barre de couleur sur les add-ons ici (en haut du cadre de certains )?

Le problème est apparu juste après la mise a jour du core le 07 Novembre (j’étais en 2021.7.3).

Pour la barre de couleur, elle est en bleu pour ZwaveJS.
En revanche je suis en retard sur MQTT.

Logique, tu mets à jour le core, ça demande des prérequis qui ne sont pas respectés et tu le découvre… Quand je parle d’un moment, je veux dire que ça doit faire quelques temps que la mise à jour des addon fonctionne mal, tu as plusieurs versions de retard.

Barre bleue = mise à jour.

Sinon en ligne de commande, il faut regarder ce que propose ha addons

J’ai du désinstaller ZWave JS to MQTT pour mettre a jour le core en 2021.11.2.
Mais la librairie ne semble plus disponible avec ce core.

ça devient plus galère que prévu :confused:

L’intégration ZWave JS est bien a jour par contre.
Capture

Je vois pas pourquoi tu en arrive là. Il n’y a pas de cause à effet entre les deux.

Du coup, comment tu explique que j’ai à la fois le core et l’addon ? Tu fais fausse route sur la conclusion.

Donc ça répond au problème initial

ça refonctionne.
J’ai du désinstaller l’intégration pour la réinstaller.
En croisant les doigts pour ne pas perdre la configuration des volets.

Finalement Hassio doit garder toutes les configs, c’est tout bon.

Merci pour ton aide.
Sujet clos.

1 « J'aime »